`lqr_progress_set_end_width_message`
Prev | Progress reports | Next

## Name

lqr_progress_set_end_width_message — setup width message for end hooks in `LqrProgress` objects

## Synopsis

    #include <lqr.h>

`LqrRetVal lqr_progress_set_end_width_message(` | LqrProgress* p,
| const guchar* message`)`;

## Description

The function `lqr_progress_set_end_width_message` sets the string `message` in the `LqrProgress` object pointed to by `p` as the argument when rescaling the width for end hooks set with `lqr_progress_set_end`(3)

The default value for newly created `LqrProgress` objects is: `"done"`.

## Return value

The return value follows the Liquid Rescale library signalling system.

## See also

LqrRetVal(3), `lqr_progress_new`(3), `lqr_progress_set_init`(3), `lqr_progress_set_update`(3), `lqr_progress_set_end`(3), `lqr_progress_set_init_width_message`(3), `lqr_progress_set_init_height_message`(3), `lqr_progress_set_end_height_message`(3), `lqr_progress_set_update_step`(3), `lqr_carver_set_progress`(3)

Prev | Up | Next
`lqr_progress_set_init_height_message` | Home | `lqr_progress_set_end_height_message`